Page MenuHomePhabricator

Set VE as default for target wikis in A/B test
Closed, ResolvedPublic

Description

Task overview

This task involves the work with writing and deploying the necessary config change to make VE the default editing interface for the A/B test T221195.

Participating wikis

  • Azerbaijani
  • Bulgarian
  • Cantonese
  • Catalan
  • Croatian
  • Danish
  • Estonian
  • Finnish
  • Greek
  • Hungarian
  • Malay
  • Malayalam
  • Norwegian
  • Portugese
  • Romanian
  • Serbian
  • Swedish
  • Tamil
  • Thai
  • Urdu

The URLs for each of the wikis above are here: https://office.wikimedia.org/wiki/Community_Relations_Specialists/Audiences/Mobile_visual_editor#Delivery_list

"Done"

  • A patch is written that makes it so VE will be the default editing interface for the contributors to the "Participating wikis" who meet the criteria we set in T221195.

Event Timeline

ppelberg created this task.Apr 17 2019, 6:50 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 17 2019, 6:50 AM
ppelberg renamed this task from Implement "VE as mobile default" A/B test to VE mobile default: implement A/B test.Apr 17 2019, 7:13 AM
ppelberg updated the task description. (Show Details)
marcella moved this task from To Triage to Q4 on the VisualEditor board.May 8 2019, 5:59 PM
ppelberg renamed this task from VE mobile default: implement A/B test to Set VE as default for target wikis in A/B test.Jun 28 2019, 3:21 PM
ppelberg edited projects, added VisualEditor (Current work); removed VisualEditor.
ppelberg updated the task description. (Show Details)
Restricted Application added subscribers: Petar.petkovic, jeblad, jhsoby. · View Herald TranscriptJun 28 2019, 3:21 PM
ppelberg updated the task description. (Show Details)Jun 28 2019, 3:24 PM
ppelberg assigned this task to DLynch.Jun 28 2019, 4:44 PM
ppelberg updated the task description. (Show Details)

Change 519667 had a related patch set uploaded (by DLynch; owner: DLynch):
[operations/mediawiki-config@master] Set some wikis to use the mobile-ve-as-default a/b test

https://gerrit.wikimedia.org/r/519667

Change 519667 merged by jenkins-bot:
[operations/mediawiki-config@master] Set some wikis to use the mobile-ve-as-default a/b test

https://gerrit.wikimedia.org/r/519667

Mentioned in SAL (#wikimedia-operations) [2019-06-28T19:48:15Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T221196 VE mobile A/B test part 1 (duration: 00m 50s)

Mentioned in SAL (#wikimedia-operations) [2019-06-28T19:49:26Z] <jforrester@deploy1001> Synchronized wmf-config/mobile.php: T221196 VE mobile A/B test part 2 (duration: 00m 49s)

@Jdforrester-WMF delivering...again. Thank you.

ppelberg closed this task as Resolved.Jun 30 2019, 4:44 PM